%define pypi_name Markdown

Name:       python-markdown
Version:    3.4.1
Release:    %mkrel 2
Summary:    Python implementation of the markdown text-to-HTML conversion tool
License:    BSD
Group:      Development/Python
Url:        https://pypi.org/project/Markdown/
Source:     %{pypi_source}
BuildRequires: pkgconfig(python3)
BuildRequires: pyproject-rpm-macros
BuildArch: noarch

%description
This is a Python implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%package -n python3-markdown
Summary: Python 3 implementation of the markdown text-to-HTML conversion tool
Group: Development/Python
%{?python_provide:%python_provide python3-markdown}
Obsoletes: python2-markdown < 3.1.1

%description -n python3-markdown
This is a Python 3 implementation of John Gruber's Markdown. It is almost
completely compliant with the reference implementation, though there
are a few known issues

Markdown  is a text-to-HTML conversion tool for web writers. Markdown
allows you to write using an easy-to-read, easy-to-write plain text format,
then convert it to structurally valid XHTML (or HTML).

%prep
%setup -q -n %pypi_name-%version


# remove shebangs
find markdown -type f -name '*.py' \
  -exec sed -i -e '/^#!/{1D}' {} \;

# fix line-ending
find docs -type f \
  -exec sed -i 's/\r//' {} \;

%generate_buildrequires
%pyproject_buildrequires -x testing

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files markdown

%check
%{__python3} setup.py test

%files -n python3-markdown -f %{pyproject_files}
%doc docs/*

%{_bindir}/markdown_py


%changelog
* Thu Dec 07 2023 wally <wally> 3.4.1-2.mga10
+ Revision: 2014785
- rebuild for py3.12
- BR pyproject-rpm-macros
- use %%pyproject_buildrequires

* Wed Sep 07 2022 neoclust <neoclust> 3.4.1-1.mga9
+ Revision: 1884905
- New version  3.4.1

* Sun Mar 27 2022 umeabot <umeabot> 3.3.6-2.mga9
+ Revision: 1829491
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 3.3.6-1.mga9
+ Revision: 1771908
- new version 3.3.6

* Sun Feb 06 2022 wally <wally> 3.3.4-3.mga9
+ Revision: 1771857
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 3.3.4-2.mga9
+ Revision: 1702584
- rebuild for python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 3.3.4-1.mga9
+ Revision: 1696407
- new version

* Sat Nov 07 2020 guillomovitch <guillomovitch> 3.3.3-1.mga8
+ Revision: 1643221
- new version 3.3.3

* Tue Jun 09 2020 daviddavid <daviddavid> 3.2.2-1.mga8
+ Revision: 1591125
- new version: 3.2.2

* Tue Mar 31 2020 daviddavid <daviddavid> 3.2.1-1.mga8
+ Revision: 1562598
- new version: 3.2.1

* Sun Feb 16 2020 umeabot <umeabot> 3.1.1-4.mga8
+ Revision: 1535268
- Mageia 8 Mass Rebuild

* Fri Oct 11 2019 tv <tv> 3.1.1-3.mga8
+ Revision: 1451708
- rebuild with python 3.8

* Wed Sep 04 2019 wally <wally> 3.1.1-2.mga8
+ Revision: 1437151
- rebuild with new python-rpm-macros
- use python_provide

* Tue Sep 03 2019 wally <wally> 3.1.1-1.mga8
+ Revision: 1436786
- new version 3.1.1
- drop python2 support
- rebuild for python3.8

* Fri Apr 19 2019 wally <wally> 3.1-1.mga7
+ Revision: 1393535
- new version 3.1

* Sat Jan 12 2019 wally <wally> 3.0.1-1.mga7
+ Revision: 1355628
- new version 3.0.1

* Thu Jan 10 2019 daviddavid <daviddavid> 2.6.8-4.mga7
+ Revision: 1354101
- rename python-markdown to python2-markdown

* Sat Jan 05 2019 wally <wally> 2.6.8-3.mga7
+ Revision: 1349266
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 2.6.8-2.mga7
+ Revision: 1289182
- Mageia 7 Mass Rebuild

* Fri Aug 04 2017 philippem <philippem> 2.6.8-1.mga7
+ Revision: 1134904
- update to 2.6.8, rebuild for Python 3.6

* Sun Mar 27 2016 philippem <philippem> 2.6.6-1.mga6
+ Revision: 995774
- update to 2.6.6
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Mon Nov 30 2015 philippem <philippem> 2.6.5-1.mga6
+ Revision: 907397
- update to 2.6.5

* Tue Nov 24 2015 philippem <philippem> 2.6.4-1.mga6
+ Revision: 905843
- update to 2.6.4

* Sat Oct 31 2015 philippem <philippem> 2.6.3-1.mga6
+ Revision: 896965
- update to 2.6.3

* Sat Oct 10 2015 tv <tv> 2.4.1-5.mga6
+ Revision: 888810
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 2.4.1-4.mga5
+ Revision: 742018
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 2.4.1-3.mga5
+ Revision: 729004
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 2.4.1-2.mga5
+ Revision: 688139
- Mageia 5 Mass Rebuild

* Wed Jun 11 2014 philippem <philippem> 2.4.1-1.mga5
+ Revision: 635693
- update to 2.4.1

* Sat May 31 2014 pterjan <pterjan> 2.4-2.mga5
+ Revision: 628777
- Rebuild for new Python

* Fri Mar 07 2014 philippem <philippem> 2.4-1.mga5
+ Revision: 600894
- Update to 2.4

* Tue Oct 22 2013 umeabot <umeabot> 2.3.1-3.mga4
+ Revision: 543696
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 2.3.1-2.mga4
+ Revision: 498891
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jul 04 2013 philippem <philippem> 2.3.1-1.mga4
+ Revision: 450097
- Update to 2.3.1, add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 2.2.1-2.mga3
+ Revision: 379109
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 philippem <philippem> 2.2.1-1.mga3
+ Revision: 318306
- Update to 2.2.1
- Update to 2.2.1

* Sat Sep 08 2012 philippem <philippem> 2.2.0-1.mga3
+ Revision: 290070
- New upstream release 2.2.0

* Thu Jan 26 2012 philippem <philippem> 2.1.1-1.mga2
+ Revision: 201810
- Update to 2.1.1.

* Wed Dec 07 2011 philippem <philippem> 2.1.0-1.mga2
+ Revision: 178419
- Update to 2.1.0

* Mon Feb 21 2011 ahmad <ahmad> 2.0.3-3.mga1
+ Revision: 55595
- rebuild to make all pythonegg requires/provides lowercase

* Thu Jan 27 2011 ahmad <ahmad> 2.0.3-2.mga1
+ Revision: 42230
- imported package python-markdown


* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 2.0.3-2mdv2011.0
+ Revision: 592470
- rebuild to get correct auto requries

* Sat Mar 13 2010 Michael Scherer <misc@mandriva.org> 2.0.3-1mdv2010.1
+ Revision: 518607
- update to 2.0.3

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.6a-1mdv2010.0
+ Revision: 136450
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Michael Scherer <misc@mandriva.org>
    - add missing egg-info
    - Import python-markdown

